Skip to main content
POST
/
api
/
v1
/
payment
/
verify-account
BODY='{"account_id":"acc_12345678"}'
TIMESTAMP='2026-03-10T12:00:00Z'
SIGNATURE=$(printf 'POST\n/api/v1/payment/verify-account\n%s\n%s' "$TIMESTAMP" "$BODY" | openssl dgst -sha256 -hmac "$OLIVE_HMAC_SECRET" -hex | sed 's/^.* //')

curl -X POST "https://olive-gateway-a6ba.onrender.com/api/v1/payment/verify-account" \
  -H "X-API-Key-ID: $OLIVE_API_KEY_ID" \
  -H "X-Timestamp: $TIMESTAMP" \
  -H "X-Signature: $SIGNATURE" \
  -H "Content-Type: application/json" \
  -d "$BODY"
{
  "success": true,
  "exists": true,
  "message": "Account verified",
  "account_id": "acc_12345678"
}
Use this endpoint to confirm that an account_id exists before routing funds or creating a payment flow around that account.

Request

X-API-Key-ID
string
required
API key ID assigned to the integration
X-Timestamp
string
required
RFC3339 timestamp used in the HMAC signature
X-Signature
string
required
Hex-encoded HMAC-SHA256 of the request

Body Parameters

account_id
string
required
OLIVE account ID to verify

Response

success
boolean
Whether the verification request completed successfully
exists
boolean
Whether the account exists
message
string
Verification result message
account_id
string
Echo of the requested account ID

Example

BODY='{"account_id":"acc_12345678"}'
TIMESTAMP='2026-03-10T12:00:00Z'
SIGNATURE=$(printf 'POST\n/api/v1/payment/verify-account\n%s\n%s' "$TIMESTAMP" "$BODY" | openssl dgst -sha256 -hmac "$OLIVE_HMAC_SECRET" -hex | sed 's/^.* //')

curl -X POST "https://olive-gateway-a6ba.onrender.com/api/v1/payment/verify-account" \
  -H "X-API-Key-ID: $OLIVE_API_KEY_ID" \
  -H "X-Timestamp: $TIMESTAMP" \
  -H "X-Signature: $SIGNATURE" \
  -H "Content-Type: application/json" \
  -d "$BODY"
{
  "success": true,
  "exists": true,
  "message": "Account verified",
  "account_id": "acc_12345678"
}

Errors

StatusCodeDescription
400Validation or business errorInvalid payload or account not found
401HMAC auth errorMissing/invalid X-API-Key-ID, X-Timestamp, or X-Signature
500Internal errorServer error

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-API-Key-ID
string
required

API key ID assigned to the integration

X-Timestamp
string
required

RFC3339 timestamp used in the HMAC signature

X-Signature
string
required

Hex-encoded HMAC-SHA256 of the request

Body

application/json
account_id
string
required

OLIVE account ID to verify

Response

200 - application/json

Response 200

success
boolean

Whether the verification request completed successfully

exists
boolean

Whether the account exists

message
string

Verification result message

account_id
string

Echo of the requested account ID